%define         sversion        %(echo %version |sed -e 's#\\.##')
%define         oldmajor        0
%define         major           1
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %name -d
%define         develnamestatic %mklibname %name -d -s


Summary:        A library for accessing files in FITS format for C and Fortran
Name:           cfitsio
Version:        3.350
Release:        %mkrel 4
License:        BSD-like
Group:          System/Libraries

URL:            http://heasarc.gsfc.nasa.gov/docs/software/fitsio/
Source:         ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/%{name}%{sversion}.tar.gz

#fix wrong version number in pc file (adds missing 0)
Patch1:         cfitsio-3.350-pkgconfig.patch

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-gfortran
BuildRequires:  quadmath-devel
BuildRequires:  pkgconfig(pkg-config)
Requires:       %{libname} = %{version}-%{release}


%description
Cfitsio is a library of C and Fortran subroutines for reading and
writing data files in FITS (Flexible Image Transport System) data
format.  Cfitsio simplifies the task of writing software that deals
with FITS files by providing an easy to use set of high-level routines
that insulate the programmer from the internal complexities of the
FITS file format.  At the same time, cfitsio provides many advanced
features that have made it the most widely used FITS file programming
interface in the astronomical community.


%package -n %{libname}
License:        BSD-like
Summary:        A library for accessing files in FITS format for C and Fortran
Group:          System/Libraries
Obsoletes:      %{_lib}%{name}%{oldmajor} < 3.350

%description -n %{libname}
This package contains the shared library required by programs that use
the cfitsio library.



%package -n %{develname}
License:        BSD-like
Summary:        Headers, libraries, & docs for the cfitsio library
Group:          System/Libraries
Provides:       fitsio-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}%{name}%{oldmajor} < 3.350

%description -n %{develname}
This package contains the headers required for compiling software that uses
the cfitsio library.



%package -n %{develnamestatic}
License:        BSD-like
Summary:        Static development file for the cfitsio library
Group:          System/Libraries
Requires:       %{develname} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig
Provides:       lib%{name}-static-devel = %{version}-%{release}
Conflicts:      %{_lib}%{name}%{oldmajor} < 3.350

%description -n %{develnamestatic}
This package contains the static files required for compiling software that uses
the cfitsio library.


%prep
%setup -q -n %{name}
%patch1 -p1


%build
autoreconf --force --install

# (cjw) ssse3 is not standard on x86-64 so it cannot be enabled at compile time
%configure2_5x \
               %ifarch x86_64
               --enable-sse2 \
               %endif
               --enable-reentrant

%make shared
%make fpack
%make funpack
%make fitscopy
%make imcopy


%check
make testprog
LD_LIBRARY_PATH=. ./testprog > testprog.lis
cmp -s testprog.lis testprog.out
cmp -s testprog.fit testprog.std



%install
rm -fr %{buildroot}

%makeinstall_std
install -D -m755 fpack %{buildroot}%{_bindir}/fpack
install -D -m755 funpack %{buildroot}%{_bindir}/funpack
install -D -m755 fitscopy %{buildroot}%{_bindir}/fitscopy
install -D -m755 imcopy %{buildroot}%{_bindir}/imcopy




%files
%defattr(-,root,root)
%{_bindir}/*


%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.%{major}*


%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%files -n %{develnamestatic}
%defattr(-,root,root)
%{_libdir}/*.a





%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.350-4.mga4
+ Revision: 530172
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 eatdirt <eatdirt> 3.350-3.mga4
+ Revision: 456378
- Fix wrong obsoleted libname

* Tue Jul 16 2013 eatdirt <eatdirt> 3.350-2.mga4
+ Revision: 455075
- Fix missing obsolete

* Tue Jul 16 2013 eatdirt <eatdirt> 3.350-1.mga4
+ Revision: 454913
- Upgrade to 3.350, cleaning specfile

* Fri Jun 07 2013 eatdirt <eatdirt> 3.340-2.mga4
+ Revision: 438685
- Fixing broken deps (missing soname compilation flags)

* Thu Jun 06 2013 eatdirt <eatdirt> 3.340-1.mga4
+ Revision: 438546
- Upgrade to version 3.340

* Fri Jan 11 2013 cjw <cjw> 3.310-3.mga3
+ Revision: 348386
- do not enable ssse3 on x86-64 since not all cpus support it

* Fri Jan 11 2013 umeabot <umeabot> 3.310-2.mga3
+ Revision: 347575
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 22 2012 eatdirt <eatdirt> 3.310-1.mga3
+ Revision: 283177
- Upgrade to version 3.310

* Tue Jul 10 2012 eatdirt <eatdirt> 3.300-2.mga3
+ Revision: 269251
- Fixes missing linker option, cleaning specfile

* Mon Jul 09 2012 eatdirt <eatdirt> 3.300-1.mga3
+ Revision: 269112
- Upgrade to version 3.300, cleaning specfile

* Thu Dec 15 2011 fwang <fwang> 3.290-1.mga2
+ Revision: 181680
- update patch
- new version 3.290

* Tue Jun 28 2011 fwang <fwang> 3.280-1.mga2
+ Revision: 115161
- new version 3.280

* Sat Jan 22 2011 ahmad <ahmad> 3.250-2.mga1
+ Revision: 33112
- drop old/unneeded scriptlets
- imported package cfitsio


* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 3.250-1mdv2011.0
+ Revision: 570526
- New version 3.250
- drop p0 (merged upstream)
- sync with fedora

* Sun Feb 21 2010 Emmanuel Andry <eandry@mandriva.org> 3.240-1mdv2010.1
+ Revision: 509075
- New version 3.240

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 3.210-1mdv2010.1
+ Revision: 472664
- new version 3.210

* Sat Sep 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.181-2mdv2010.0
+ Revision: 449335
- rebuild for missing binaries

* Thu Jul 16 2009 Funda Wang <fwang@mandriva.org> 3.181-1mdv2010.0
+ Revision: 396626
- New version 3.181

* Sun Mar 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.140-1mdv2009.1
+ Revision: 360111
- Updated to version 3.140

* Fri Feb 20 2009 Emmanuel Andry <eandry@mandriva.org> 3.130-1mdv2009.1
+ Revision: 343432
- New version 3.130
- use variable for major

* Sat Aug 23 2008 Funda Wang <fwang@mandriva.org> 3.100-1mdv2009.0
+ Revision: 275342
- New version 3.100

* Tue Aug 12 2008 Funda Wang <fwang@mandriva.org> 3.090-1mdv2009.0
+ Revision: 270999
- New version 3.090
- add gentoo patch to use autotools and fix pkgconfig file
- lib becomes versioned

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.060-4mdv2009.0
+ Revision: 220500
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 08 2008 Helio Chissini de Castro <helio@mandriva.com> 3.060-3mdv2008.1
+ Revision: 164139
- Static lib must be splitted

* Tue Feb 05 2008 Götz Waschk <waschk@mandriva.org> 3.060-2mdv2008.1
+ Revision: 162847
- readd library package to fix bug #37402

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Emmanuel Andry <eandry@mandriva.org> 3.060-1mdv2008.1
+ Revision: 139621
- New version
- obsoletes libcfitsio

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 30 2007 Helio Chissini de Castro <helio@mandriva.com> 3.040-1mdv2008.0
+ Revision: 56766
- New version
- Obsoletes lib package. Is only static.
- import cfitsio-2.490-2mdk


* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.490-2mdk
- Fix BuildRequires

* Tue May 18 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.490-1mdk
- first Mandrake package

